"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AssetRequest = void 0;
class AssetRequest {
  constructor(data) {
    this.data = data;
  }
  getKey() {
    return this.data.key;
  }
  getOptions() {
    return this.data.options;
  }
  setOptions(options) {
    this.data.options = options;
  }
  getContext() {
    return this.data.context;
  }
  getExtension() {
    return this.data.key.split(".").pop();
  }
}
exports.AssetRequest = AssetRequest;

//# sourceMappingURL=AssetRequest.js.map