"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NullAssetReply = void 0;
var _AssetReply = require("./abstractions/AssetReply");
class NullAssetReply extends _AssetReply.AssetReply {
  constructor() {
    super({
      code: 404,
      body: () => ({
        error: "Asset output strategy is not implemented!"
      })
    });
  }
}
exports.NullAssetReply = NullAssetReply;

//# sourceMappingURL=NullAssetReply.js.map