import { AssetOutputStrategy, Asset, AssetReply, AssetRequest, AssetOutputStrategyDecoratorParams } from "..";
import { FileManagerContext } from "../../types";
import { ResponseHeaders } from "@webiny/handler";
export interface ResponseHeadersParams {
    headers: ResponseHeaders;
    context: FileManagerContext;
    assetRequest: AssetRequest;
    asset: Asset;
}
export interface ResponseHeadersSetter {
    (params: ResponseHeadersParams): Promise<void> | void;
}
export declare class SetResponseHeaders implements AssetOutputStrategy {
    private readonly setter;
    private strategyDecoratorParams;
    constructor(setter: ResponseHeadersSetter, strategyDecoratorParams: AssetOutputStrategyDecoratorParams);
    output(asset: Asset): Promise<AssetReply>;
}
