"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AssetReply = void 0;
var _handler = require("@webiny/handler");
const defaultBody = () => "";
class AssetReply {
  constructor(params = {
    code: 200
  }) {
    this.code = params.code;
    this.headers = params.headers || _handler.ResponseHeaders.create();
    this.body = params.body || defaultBody;
  }
  setHeaders(cb) {
    this.headers = cb(this.headers);
  }
  getHeaders() {
    return this.headers;
  }
  setCode(code) {
    this.code = code;
  }
  getCode() {
    return this.code;
  }
  setBody(body) {
    this.body = body;
  }
  getBody() {
    return this.body();
  }
}
exports.AssetReply = AssetReply;

//# sourceMappingURL=AssetReply.js.map