"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NotAuthorizedAssetReply = void 0;
var _handler = require("@webiny/handler");
var _ = require("../..");
class NotAuthorizedAssetReply extends _.AssetReply {
  constructor() {
    super({
      code: 403,
      headers: _handler.ResponseHeaders.create({
        "cache-control": "no-store",
        "content-type": "application/json"
      }),
      body: () => ({
        error: "Not authorized!",
        code: "NOT_AUTHORIZED"
      })
    });
  }
}
exports.NotAuthorizedAssetReply = NotAuthorizedAssetReply;

//# sourceMappingURL=NotAuthorizedAssetReply.js.map