import { S3 } from "@webiny/aws-sdk/client-s3";
export interface ImageManagerCanProcessParams {
    key: string;
    extension: string;
}
export interface ImageManagerProcessParams {
    s3: S3;
    key: string;
    extension: string;
}
export declare const imageManager: {
    canProcess: (params: ImageManagerCanProcessParams) => boolean;
    process({ s3, key, extension }: ImageManagerProcessParams): Promise<void>;
};
