"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SetResponseHeaders = void 0;
class SetResponseHeaders {
  constructor(setter, strategyDecoratorParams) {
    this.strategyDecoratorParams = strategyDecoratorParams;
    this.setter = setter;
  }
  async output(asset) {
    const reply = await this.strategyDecoratorParams.assetOutputStrategy.output(asset);
    await this.setter({
      asset: this.strategyDecoratorParams.asset,
      assetRequest: this.strategyDecoratorParams.assetRequest,
      context: this.strategyDecoratorParams.context,
      headers: reply.getHeaders()
    });
    return reply;
  }
}
exports.SetResponseHeaders = SetResponseHeaders;

//# sourceMappingURL=SetResponseHeaders.js.map