"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PrivateCache = void 0;
var _ = require("../..");
var _handler = require("@webiny/handler");
class PrivateCache extends _.SetCacheControlHeaders {
  constructor(days, strategy) {
    super(_handler.ResponseHeaders.create({
      "cache-control": `private, max-age=${86400 * days}`
    }), strategy);
  }
}
exports.PrivateCache = PrivateCache;

//# sourceMappingURL=PrivateCache.js.map