import { FileManagerContext } from "../../../types";
import { Asset, AssetProcessor, AssetRequest } from "../..";
import { AssetAuthorizer } from "./AssetAuthorizer";
export declare class PrivateFilesAssetProcessor implements AssetProcessor {
    private readonly context;
    private assetProcessor;
    private assetAuthorizer;
    constructor(context: FileManagerContext, assetAuthorizer: AssetAuthorizer, assetProcessor: AssetProcessor);
    process(assetRequest: AssetRequest, asset: Asset): Promise<Asset>;
    private isPrivate;
    private requestedViaPrivateEndpoint;
    private requestedViaPublicEndpoint;
}
