import { ContextPlugin } from "@webiny/api";
import { FileManagerConfig } from "./createFileManager";
import { FileManagerContext } from "./types";
import { AssetDeliveryParams } from "./delivery/setupAssetDelivery";
export * from "./modelModifier/CmsModelModifier";
export * from "./plugins";
export * from "./delivery";
export declare const createFileManagerContext: ({ storageOperations }: Pick<FileManagerConfig, "storageOperations">) => ContextPlugin<FileManagerContext>;
export declare const createFileManagerGraphQL: () => (import("@webiny/handler-graphql").GraphQLSchemaPlugin<FileManagerContext> | ContextPlugin<FileManagerContext>)[];
export declare const createAssetDelivery: (config: AssetDeliveryParams) => (import("@webiny/handler").ModifyFastifyPlugin | import("./delivery").AssetDeliveryConfigModifierPlugin)[];
